Index: src/Actions/AtomAction/AddAction.cpp
===================================================================
--- src/Actions/AtomAction/AddAction.cpp	(revision 146cff20ef08f9e72090351efc803d678278fe81)
+++ src/Actions/AtomAction/AddAction.cpp	(revision 0b2ce98def2d6ab9548ba5ac25acbb2ab5bc233c)
@@ -69,5 +69,8 @@
 };
 
-Dialog * AtomAddAction::fillDialog(Dialog *dialog) {
+void AtomAddAction::getParametersfromValueStorage()
+{};
+
+Dialog* AtomAddAction::fillDialog(Dialog *dialog) {
   ASSERT(dialog,"No Dialog given when filling action dialog");
 
Index: src/Actions/AtomAction/AddAction.hpp
===================================================================
--- src/Actions/AtomAction/AddAction.hpp	(revision 146cff20ef08f9e72090351efc803d678278fe81)
+++ src/Actions/AtomAction/AddAction.hpp	(revision 0b2ce98def2d6ab9548ba5ac25acbb2ab5bc233c)
@@ -30,4 +30,5 @@
   virtual Dialog * fillDialog(Dialog *);
 private:
+  virtual void getParametersfromValueStorage();
   virtual Action::state_ptr performCall();
   virtual Action::state_ptr performUndo(Action::state_ptr);
Index: src/Actions/AtomAction/ChangeElementAction.cpp
===================================================================
--- src/Actions/AtomAction/ChangeElementAction.cpp	(revision 146cff20ef08f9e72090351efc803d678278fe81)
+++ src/Actions/AtomAction/ChangeElementAction.cpp	(revision 0b2ce98def2d6ab9548ba5ac25acbb2ab5bc233c)
@@ -68,4 +68,7 @@
   ActionRegistry::getInstance().getActionByName(AtomChangeElementAction::NAME)->call(Action::NonInteractive);
 };
+
+void AtomChangeElementAction::getParametersfromValueStorage()
+{};
 
 Dialog* AtomChangeElementAction::fillDialog(Dialog *dialog) {
Index: src/Actions/AtomAction/ChangeElementAction.hpp
===================================================================
--- src/Actions/AtomAction/ChangeElementAction.hpp	(revision 146cff20ef08f9e72090351efc803d678278fe81)
+++ src/Actions/AtomAction/ChangeElementAction.hpp	(revision 0b2ce98def2d6ab9548ba5ac25acbb2ab5bc233c)
@@ -29,4 +29,5 @@
   virtual Dialog * fillDialog(Dialog*);
 private:
+  virtual void getParametersfromValueStorage();
   virtual Action::state_ptr performCall();
   virtual Action::state_ptr performUndo(Action::state_ptr);
Index: src/Actions/AtomAction/RemoveAction.cpp
===================================================================
--- src/Actions/AtomAction/RemoveAction.cpp	(revision 146cff20ef08f9e72090351efc803d678278fe81)
+++ src/Actions/AtomAction/RemoveAction.cpp	(revision 0b2ce98def2d6ab9548ba5ac25acbb2ab5bc233c)
@@ -61,4 +61,7 @@
   ActionRegistry::getInstance().getActionByName(AtomRemoveAction::NAME)->call(Action::NonInteractive);
 };
+
+void AtomRemoveAction::getParametersfromValueStorage()
+{};
 
 Dialog* AtomRemoveAction::fillDialog(Dialog *dialog) {
Index: src/Actions/AtomAction/RemoveAction.hpp
===================================================================
--- src/Actions/AtomAction/RemoveAction.hpp	(revision 146cff20ef08f9e72090351efc803d678278fe81)
+++ src/Actions/AtomAction/RemoveAction.hpp	(revision 0b2ce98def2d6ab9548ba5ac25acbb2ab5bc233c)
@@ -27,4 +27,5 @@
   virtual Dialog * fillDialog(Dialog*);
 private:
+  virtual void getParametersfromValueStorage();
   virtual Action::state_ptr performCall();
   virtual Action::state_ptr performUndo(Action::state_ptr);
Index: src/Actions/AtomAction/RotateAroundOriginByAngleAction.cpp
===================================================================
--- src/Actions/AtomAction/RotateAroundOriginByAngleAction.cpp	(revision 146cff20ef08f9e72090351efc803d678278fe81)
+++ src/Actions/AtomAction/RotateAroundOriginByAngleAction.cpp	(revision 0b2ce98def2d6ab9548ba5ac25acbb2ab5bc233c)
@@ -70,4 +70,7 @@
   ActionRegistry::getInstance().getActionByName(AtomRotateAroundOriginByAngleAction::NAME)->call(Action::NonInteractive);
 };
+
+void AtomRotateAroundOriginByAngleAction::getParametersfromValueStorage()
+{};
 
 Dialog* AtomRotateAroundOriginByAngleAction::fillDialog(Dialog *dialog) {
Index: src/Actions/AtomAction/RotateAroundOriginByAngleAction.hpp
===================================================================
--- src/Actions/AtomAction/RotateAroundOriginByAngleAction.hpp	(revision 146cff20ef08f9e72090351efc803d678278fe81)
+++ src/Actions/AtomAction/RotateAroundOriginByAngleAction.hpp	(revision 0b2ce98def2d6ab9548ba5ac25acbb2ab5bc233c)
@@ -29,4 +29,5 @@
   virtual Dialog * fillDialog(Dialog *dialog);
 private:
+  virtual void getParametersfromValueStorage();
   virtual Action::state_ptr performCall();
   virtual Action::state_ptr performUndo(Action::state_ptr);
Index: src/Actions/AtomAction/TranslateAction.cpp
===================================================================
--- src/Actions/AtomAction/TranslateAction.cpp	(revision 146cff20ef08f9e72090351efc803d678278fe81)
+++ src/Actions/AtomAction/TranslateAction.cpp	(revision 0b2ce98def2d6ab9548ba5ac25acbb2ab5bc233c)
@@ -69,4 +69,7 @@
 };
 
+void AtomTranslateAction::getParametersfromValueStorage()
+{};
+
 Dialog* AtomTranslateAction::fillDialog(Dialog *dialog) {
   ASSERT(dialog,"No Dialog given when filling action dialog");
Index: src/Actions/AtomAction/TranslateAction.hpp
===================================================================
--- src/Actions/AtomAction/TranslateAction.hpp	(revision 146cff20ef08f9e72090351efc803d678278fe81)
+++ src/Actions/AtomAction/TranslateAction.hpp	(revision 0b2ce98def2d6ab9548ba5ac25acbb2ab5bc233c)
@@ -28,4 +28,5 @@
   virtual Dialog * fillDialog(Dialog *dialog);
 private:
+  virtual void getParametersfromValueStorage();
   virtual Action::state_ptr performCall();
   virtual Action::state_ptr performUndo(Action::state_ptr);
